<?php
	function shamatha_add_theme_supports() {
		global $content_width;
		if ( ! isset( $content_width ) ) $content_width = 900;
		register_nav_menu( "header", "Header Menu");
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form' ) );
		add_theme_support( 'custom-background' ); 
		add_editor_style( 'custom-editor-style.css' );
		load_theme_textdomain('shamatha', get_template_directory() . '/languages');
	}
	add_action("after_setup_theme", "shamatha_add_theme_supports");

	function shamatha_add_sidebars() {
		$args = array(
			'name' => __("Main Sidebar", "shamatha"),
			'id' => 'sidebar',
			'description' => 'Main Theme Sidebar',
			'before_widget' => '<section class="widget">',
			'after_widget' => '</section>',
			'before_title' => '<h1>',
			'after_title' => '</h1>'
		);
		register_sidebar($args);
	}
	add_action('widgets_init', 'shamatha_add_sidebars');

	function shamatha_new_excerpt_more( $more ) {
		return '<p><a class="read-more" href="'. get_permalink( get_the_ID() ) . '">Read More</a></p>';
	}
	add_filter( 'excerpt_more', 'shamatha_new_excerpt_more' );

	function shamatha_enqueue_comments() {
		if ( is_singular() ) 
			wp_enqueue_script( 'comment-reply' );
	}
	add_action( 'comment_form_before', 'shamatha_enqueue_comments' );

	function shamatha_title_setup($title) {
		$new_title = get_bloginfo( 'name' ) . $title;
		return $new_title;
	}
	add_filter( 'wp_title', 'shamatha_title_setup' );
?>